//---------------------------------------------------------------------------
#ifndef s35mainH
#define s35mainH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ExtCtrls.hpp>
#include <Menus.hpp>
//---------------------------------------------------------------------------
class TmainForm : public TForm
{
__published:	// IDE-managed Components
        TMainMenu *menuMain;
        TMenuItem *Hra1;
        TMenuItem *Nov1;
        TMenuItem *N1;
        TMenuItem *Konec1;
        TPaintBox *pole;
        TPanel *tools;
        TLabel *player;
        TLabel *skl1;
        TLabel *skl2;
        TLabel *Label1;
        void __fastcall Konec1Click(TObject *Sender);
        void __fastcall Nov1Click(TObject *Sender);
        void __fastcall polePaint(TObject *Sender);
        void __fastcall poleMouseMove(TObject *Sender, TShiftState Shift,
          int X, int Y);
        void __fastcall poleClick(TObject *Sender);
        void __fastcall FormCreate(TObject *Sender);
        void __fastcall FormKeyPress(TObject *Sender, char &Key);
private:	// User declarations
public:		// User declarations
        __fastcall TmainForm(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TmainForm *mainForm;
//---------------------------------------------------------------------------

// ============

// definice typu
typedef struct cara {
  int width;
  TColor color;
} CARA;

// konstanty a makra
#define MAX_VELIKOST    10

#define CANVAS          mainForm->pole->Canvas
#define REDRAW          mainForm->pole->Invalidate()

#define SIZE_CTVEREC    50
#define SIZE_OKRAJ      10

#define WIDTH_CARA      1
#define WIDTH_ZVYRAZ    3
#define WIDTH_SIRKA     3

#define VZDAL_ZVYRAZ    1

#define COLOR_BG        clBlack
#define COLOR_CARA      clLtGray
#define COLOR_SIRKA     clYellow
#define COLOR_HRAC1     clRed
#define COLOR_HRAC2     clGreen
#define COLOR_ZVYRAZ    clWhite


#define DRAW_CARA(x1,y1,x2,y2)          drawLine((x1),(y1),(x2),(y2),WIDTH_CARA,COLOR_CARA)
#define DRAW_SIRKA(x1,y1,x2,y2,hrac)    drawLine((x1),(y1),(x2),(y2),WIDTH_SIRKA,hrac)

#define DRAW_ZVYRAZ(x1,y1,x2,y2)        drawZvyr((x1),(y1),(x2),(y2),1)
#define ZRUS_ZVYRAZ(x1,y1,x2,y2)        drawZvyr((x1),(y1),(x2),(y2),0)

// globalni promenne
CARA rovne[MAX_VELIKOST+1][MAX_VELIKOST+1],
     svisle[MAX_VELIKOST+1][MAX_VELIKOST+1];

int pole_size = 10;
TColor hrac;
int sirek;
int skore1, skore2;
int last_x1, last_y1, last_x2, last_y2;

int zvyr_x1 = -1, zvyr_y1 = -1, zvyr_x2 = -1, zvyr_y2 = -1;

// funkce

void initGame();
void drawLine(int x1, int y1, int x2, int y2, int width, TColor color);
void drawZvyr(int x1, int y1, int x2, int y2, int zvyr);
int blizkoCary(int x, int y, int &x1, int &y1, int &x2, int &y2);
int ctver2(int x, int y);
int ctverec(int x1, int y1, int x2, int y2);
void zvys_skore(TColor hrac);
void zmen_hrace(TColor &hrac);

//=========
#endif
